summaryrefslogtreecommitdiff
path: root/files/OpenBSD/bin/restart_apache_ssl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'files/OpenBSD/bin/restart_apache_ssl.sh')
-rw-r--r--files/OpenBSD/bin/restart_apache_ssl.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/files/OpenBSD/bin/restart_apache_ssl.sh b/files/OpenBSD/bin/restart_apache_ssl.sh
new file mode 100644
index 0000000..314018b
--- /dev/null
+++ b/files/OpenBSD/bin/restart_apache_ssl.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+ignoreout='Processing config'
+apachectl restart 2>&1 | (egrep -v -e "_default_ VirtualHost overlap on port 443" -e "$ignoreout" -e "/usr/sbin/apachectl restart: httpd restarted" || true )
+sleep 10
+apachectl startssl 2>&1 | (egrep -v -e "_default_ VirtualHost overlap on port 443" -e "$ignoreout" -e "/usr/sbin/apachectl startssl: httpd started" || true )